if flags.streli then
  speciale_action(2,1)
end
if flags.luk then
  speciale_action(2,2)
end

function gameinput (sender,obj_id,attachedID)
  MiniInterfaceHandler(sender, obj_id,attachedID);
  sendersProcessing(sender,obj_id,attachedID)
  if wrongItemWarning(sender, obj_id, attachedID, "luk_14_11","kolchan_18_1") then
    return
  end
  if sender==1 then
    if obj_id == 3 then
      if obj.luk_14_11 and attachedID == obj.luk_14_11.id then
        Block_Show_Cur(true)
        flags.luk = true
        playeffect("amur")
        removeFromMouse(attachedID)
        UnStoreObj(attachedID)
        speciale_action(2,2,true,0.5)
        if flags.streli then
        StartTimer(6443,1,"frame3")
        else
        StartTimer(6443,1,"unBlock_Show_Cur")
        end;
      elseif obj.kolchan_18_1 and attachedID == obj.kolchan_18_1.id then
        Block_Show_Cur(true)
        flags.streli = true
        removeFromMouse(attachedID)
        UnStoreObj(attachedID)
        playeffect("amur")
        speciale_action(2,1,true,0.5)
        if flags.luk then
        StartTimer(6443,1,"frame3")
        else
        StartTimer(6443,1,"unBlock_Show_Cur")
        end;
      else
        if not(flags.luk and flags.streli) then
          CreatePlashechka("598","he")
        end
      end

    end
  end
end

function frame1()
  speciale_action(2,7,true,0.5)
  speciale_action(2,8,true,0.5)
  StartTimer(5543,0.6,"frame2")
end;

function frame2()
  speciale_action(2,8,true,0.5)
  StartTimer(5544,0.5,"unBlock_Show_Cur")
  StartTimer(5543,0.6,"CloseSatelite")
end;

function frame3()
      if flags.luk and flags.streli then
        neighbors.MidAngel.lock = true
        neighbors.MidTaynik.lock = false
        set_visible_object(3,false)
        speciale_action(2,1,true,0.5)
        speciale_action(2,2,true,0.5)
        speciale_action(2,9,true,0.5)
        speciale_action(2,1,true,0.5)
      --  speciale_action(2,5,true,1.5)
        speciale_action(2,6,true,0.5)
        speciale_action(2,8,true,0.5)
        --StartTimer(5543,0,"CloseSatelite")
        StartTimer(5543,0.6,"frame2")
      end
end;